#include<bits/stdc++.h>
#include "code.h"
using namespace std;

int sacuvaj[1000][1000];
int maximumi[1000];
bool da;

std::vector<int> Nadji(int N,int K)
{
    for(int i=0;i<N;i++)
        for(int j=0;j<N;j++)
    {
        sacuvaj[i][j]=Pitaj(i,j);
        maximumi[i]=max(sacuvaj[i][j],maximumi);
    }
    for(int i=0;i<N;i++)
        for(int j=0;j<N;j++)
    {
        if(sacuvaj[i][j]==maximumi[i])
        {
            da=true;
            for(int k=0;k<N;k++)
            {
                if(sacuvaj[k][j]<=sacuvaj[i][j])
                    {
                        da=false;
                        break;
                    }
            }
            if(da)
            {
                vector<int> out;
                out.push_back(i);
                out.push_back(j);
                return out;
            }
        }
    }
    vector<int> out;
    out.push_back(0);
    out.push_back(0);
    return out;
}